function [  betat ] = Average_local(Y, X,  h, kern  )
%This function is used to calculate the averaged local linear estimation
%proposed by Li et al. (2011) for the following time-varying panel data
%model: 
% Y_{it} =f_t + X_{it}' beta_t + alpha_i + e_it 
% take average
% Y_t = f_t + X_t' * beta_t + e_t 
[T, N] = size(Y); 
 
Ym = mean(Y, 2);
size(Ym)
Xm = mean(X,2);
 
 
U = [1:1:T]'; 
 

XX = [ones(T,1), Xm];
a1=local_linear_est_ols_fast(Ym,XX,U,h, kern);
 
betat = a1; 
 
end