function [Pr, Pv] = mcboot(N,T,mtype,etype,sigma,M,nb)

Pv1 = zeros(M,1); % p-values
Pv2 = zeros(M,1); 
Pv3 = zeros(M,1); 


R = 2;
kernelType=1; XTol=1e-4; maxIter=2000;
 h=2.35/sqrt(12)*T^(-1/4)*N^(-1/4);
for i=1:M
    [Y,X]=dgp(N,T,mtype,etype,sigma);
    [p1,p2,p3 ] = boot_test_fixed_regressor(Y,X,T,R,h,kernelType,XTol,maxIter,nb);
    Pv1(i)=p1; Pv2(i)=p2; Pv3(i)=p3 ;
end
Pr = [sum(Pv1<0.01)/M sum(Pv1<0.05)/M sum(Pv1<0.1)/M...
    sum(Pv2<0.01)/M sum(Pv2<0.05)/M sum(Pv2<0.1)/M...
    sum(Pv3<0.01)/M sum(Pv3<0.05)/M sum(Pv3<0.1)/M ]; 
Pv = [Pv1 Pv2 Pv3 ];
