function J1 = test1(F,e,F_,e_,h,kernelType)

n = length(e);
[T,R] = size(F);
N = n/T;

M1 = mean((e-e_).^2);

xi = zeros(T,T);
for t=1:T
    w = khtr_b(h,(1:T)',t,T,kernelType);
    F1_ = repmat(w,1,R).*F_;
    xi = xi + F1_*F(t,:)'*F(t,:)*F1_';
end
xi = xi/T;

eta = zeros(T,n);
A = zeros(T,N);
for s=1:T
    for t=1:T
        A(t,:)=(khtr_b(h,s,t,T,kernelType)*F(s,:)*F(t,:)'-F_(s,:)*F_(t,:)')*e(s:T:n)';
    end
    eta(s,:) = reshape(A,1,n);
end

Th = mean(eta.^2,1); % 1 by NT
mt = max(10,round(T^0.3));
for j=1:mt
    tmp = sum(eta(j+1:T,:).*eta(1:T-j,:))/T;
    Th = Th + 2*tmp;
%    Th = Th + 2*(1+(mt-j)/mt) * tmp;
end
B1 = sqrt(h/N)/T*sum(Th,2);
V1 = 0;
for i=1:N
    e1 = e((i-1)*T+1:i*T); 
    
    V1 = V1 + (e((i-1)*T+1:i*T)'*xi*e((i-1)*T+1:i*T)/T)^2;
  %  V1 = V1 + (e((i-1)*T+1:i*T)'*xi*e((i-1)*T+1:i*T)/T)^2;
end
V1 =  h/(N )*V1;

J1 = 1/sqrt(V1)*(T*sqrt(N*h)*M1-B1);
%  [J1,T*sqrt(N*h)*M1, B1, V1 ]
