function a1=local_linear_est_ols_fast(Y,X,U,h, kern)
[n,p]=size(X);
[d,k]=size(U);
  U= (U-min(U))./(max(U)-min(U)); 

K=ones(n,n);
for s = 1:n
    for r =1:n
        for j=1:k
            K(s,r) = K(s,r)*kernel(kern, (U(s,j)-U(r,j))/h)/h;
        end
    end
end

K_sq = sqrt(K);
a1_all = zeros(p+p*k,n);

for t=1:n
    y_local = K_sq(t,:)'.*Y;
    x_local1 = K_sq(t,:)'*ones(1,p).*X;
    %x_local2 = K_sq(t,:)'.*(U-U(t)*ones(n,1))*ones(1,p).*X;
    x_local2= K_sq(t,:)'*ones(1,p*k).*kron((U-U(t)*ones(n,1)),ones(1,p)).*kron(ones(1,k),X);
    x_local = [x_local1 x_local2];
    a1_all(:,t) =  pinv(x_local'*x_local)*(x_local'*y_local);
end

a1 = a1_all(1:p,:);
a1=a1';

 


