function [Pr, Pv] = mcboot_Holm(N,T,mtype,etype,sigma,M,nb)

Pv  = zeros(M,3); % p-values 

Pvadj = zeros(M,3);  
  

R = 2;
kernelType=1; XTol=1e-4; maxIter=2000;
%h=2.35/sqrt(12)*T^(-2/9)*N^(-2/9);
 h=2.35/sqrt(12)*T^(-1/4)*N^(-1/4);
%h2=2.35/sqrt(12)*T^(-1/4)*N^(-1/4);
for i=1:M
 
    [Y,X]=dgp(N,T,mtype,etype,sigma);
    [p1,p2,p3] = boot_test_fixed_regressor(Y,X,T,R,h,kernelType,XTol,maxIter,nb);
    Pv(i,1)=p1; Pv(i,2)=p2; Pv(i,3)=p3;  
    %[p1,p2,p3]
   % Pvalue =[p1, p2, p3, p4]'; 
   % Pvalue2 =[p1, p2,  p4]';
    Pvalue  =[p1, p2, p3 ]';

    [Pvalueadj1] =Holm_adj_P(Pvalue ); 
   % [Pvalueadj2] =Holm_adj_P(Pvalue3); 

   % Pvalueadj'
    Pvadj(i,:) = Pvalueadj1'; 
   % Pvadj2(i,:) = Pvalueadj2'; 
   % [i,p1,p2,p3, p4, Pvalueadj2',Pvalueadj2']
end
Pr = [sum(Pv<0.01)/M sum(Pv<0.05)/M sum(Pv<0.1)/M...
    sum(Pvadj<0.01)/M sum(Pvadj<0.05)/M sum(Pvadj<0.1)/M ];  % dim: 12+9+9 = 30 
Pv = [Pv, Pvadj ];

