function [mneb,mnec,neb,nec] = mc(N,T,mtype,etype,sigma,M)

neb = zeros(M,3);
nec = zeros(M,3);
R = 2;
parfor i=1:M
    [Y,X,beta0,C0]=dgp(N,T,mtype,etype,sigma);
    h=2.35/sqrt(12)*T^(-2/9)*N^(-2/9);
    [res1, ~,  sig, beta_bc] = kpanelife(Y,X,T,R,h);
    beta1 = res1.beta;
    C1 = res1.C;
    %[est,C3] = tvpanelife(Y,X,T,R,[],(1:T+1)'); % ns-tv
    % beta3 = reshape(est,2,T)';
    beta3 =beta_bc; 
    C3 = C1; 
    [est,C2] = panelife(Y,X,T,R);
    beta2 = repmat(est',T,1);
    neb(i,:) = [norm(beta1-beta0) norm(beta2-beta0) norm(beta3-beta0)]/sqrt(2*T);
    nec(i,:) = [norm(C1-C0) norm(C2-C0) norm(C3-C0)]/sqrt(N*T);
end

mneb = mean(neb);
mnec = mean(nec);
